package lingtao.net.bean;

import java.util.Date;

import lombok.Data;

@Data
public class ProductImg {
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getProTypeLabel() {
		return proTypeLabel;
	}

	public void setProTypeLabel(String proTypeLabel) {
		this.proTypeLabel = proTypeLabel;
	}

	public String getProTypeValue() {
		return proTypeValue;
	}

	public void setProTypeValue(String proTypeValue) {
		this.proTypeValue = proTypeValue;
	}

	public String getKindValue() {
		return kindValue;
	}

	public void setKindValue(String kindValue) {
		this.kindValue = kindValue;
	}

	public String getKindLabel() {
		return kindLabel;
	}

	public void setKindLabel(String kindLabel) {
		this.kindLabel = kindLabel;
	}

	public String getKind2Value() {
		return kind2Value;
	}

	public void setKind2Value(String kind2Value) {
		this.kind2Value = kind2Value;
	}

	public String getKind2Label() {
		return kind2Label;
	}

	public void setKind2Label(String kind2Label) {
		this.kind2Label = kind2Label;
	}

	public String getImgUrl() {
		return imgUrl;
	}

	public void setImgUrl(String imgUrl) {
		this.imgUrl = imgUrl;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getFilename() {
		return filename;
	}

	public void setFilename(String filename) {
		this.filename = filename;
	}

	public Long getCreator() {
		return creator;
	}

	public void setCreator(Long creator) {
		this.creator = creator;
	}

	public Date getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}

	public Long getUpdater() {
		return updater;
	}

	public void setUpdater(Long updater) {
		this.updater = updater;
	}

	public String getImgWidth() {
		return imgWidth;
	}

	public void setImgWidth(String imgWidth) {
		this.imgWidth = imgWidth;
	}

	public String getImgHeight() {
		return imgHeight;
	}

	public void setImgHeight(String imgHeight) {
		this.imgHeight = imgHeight;
	}

	/**
	*
	*/
	private Long id;

	/**
	 * 产品名称
	 */
	private String proTypeLabel;

	/**
	 * 名称编号
	 */
	private String proTypeValue;

	/**
	 * 产品种类1
	 */
	private String kindValue;

	/**
	 * 产品种类说明1
	 */
	private String kindLabel;

	/**
	 * 产品种类2
	 */
	private String kind2Value;

	/**
	 * 产品种类说明2
	 */
	private String kind2Label;

	/**
	 * 图片地址
	 */
	private String imgUrl;

	/**
	 * 产品说明
	 */
	private String remark;

	/**
	 * 文件名字
	 */
	private String filename;

	/**
	 * 创建者
	 */
	private Long creator;

	/**
	 * 创建时间
	 */
	private Date createDate;

	/**
	 * 更新者
	 */
	private Long updater;
	
	private String imgWidth; 
	
	private String imgHeight; 
}